Update an Option Type
Updates an Option Type
PATCH
/
api
/
v2
/
platform
/
option_types
/
{id}
Update an Option Type
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
option_type: {
name: 'color',
presentation: 'Color',
public_metadata: {},
private_metadata: {}
}
})
};
fetch('http://{defaultHost}/api/v2/platform/option_types/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request PATCH \
--url http://{defaultHost}/api/v2/platform/option_types/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"option_type": {
"name": "color",
"presentation": "Color",
"public_metadata": {},
"private_metadata": {}
}
}
'{
"data": {
"id": "75",
"type": "option_type",
"attributes": {
"name": "Size-X",
"presentation": "Size",
"position": 1,
"created_at": "2022-11-08T19:34:32.542Z",
"updated_at": "2022-11-08T19:34:32.772Z",
"filterable": true,
"public_metadata": {},
"private_metadata": {}
},
"relationships": {
"option_values": {
"data": []
}
}
}
}{
"error": "The access token is invalid"
}{
"error": "The resource you were looking for could not be found."
}{
"error": "Name can't be blank",
"errors": {
"name": [
"can't be blank"
]
}
}Was this page helpful?
⌘I
Update an Option Type
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
option_type: {
name: 'color',
presentation: 'Color',
public_metadata: {},
private_metadata: {}
}
})
};
fetch('http://{defaultHost}/api/v2/platform/option_types/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request PATCH \
--url http://{defaultHost}/api/v2/platform/option_types/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"option_type": {
"name": "color",
"presentation": "Color",
"public_metadata": {},
"private_metadata": {}
}
}
'{
"data": {
"id": "75",
"type": "option_type",
"attributes": {
"name": "Size-X",
"presentation": "Size",
"position": 1,
"created_at": "2022-11-08T19:34:32.542Z",
"updated_at": "2022-11-08T19:34:32.772Z",
"filterable": true,
"public_metadata": {},
"private_metadata": {}
},
"relationships": {
"option_values": {
"data": []
}
}
}
}{
"error": "The access token is invalid"
}{
"error": "The resource you were looking for could not be found."
}{
"error": "Name can't be blank",
"errors": {
"name": [
"can't be blank"
]
}
}
